#include <bits/stdc++.h>

using namespace std;
long long mas[100005];
int main()
{
   long long n;
   cin>>n;
   for(int i = 0; i < n; i ++)
   {
       cin>>mas[i];
   }
   sort(mas, mas+n);
   long long l = n, ans = 0, k = 0;
   for(int i = n-1; i >= 1; i --)
   {
       if(mas[i] != mas[i-1])
       {
           long long u = l - i;
           l = i;
           ans += max(0ll, mas[i] - k) * u;
           k += u;
       }
   }
   ans += max(0ll, mas[0] - k) * (l + 1);
   cout<<ans;
}
